Endurance

System statistics

Get the system statistics

GET /system-stats

Get the Settings for the System Stats

Query parameters
period Required hour | day | week | month | year

return the last period of data

type Required cpu | memory | disks | interfaces | connTrack

comma seperated string

curl
curl -X GET "https://appliance.example.com/api/v1/system-stats" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/system-stats';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/system-stats", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/system-stats', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "System stats settings",
  "data": []
}

Settings

GET /system-stats/settings

Get the Settings for the System Stats

curl
curl -X GET "https://appliance.example.com/api/v1/system-stats/settings" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/system-stats/settings';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/system-stats/settings", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/system-stats/settings', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "System Stats Settings",
  "data": []
}

PUT /system-stats/settings

Set System Stats Settings

This change is staged. Send PUT /services/apply to apply it.

Body parameters
enabled boolean Required
interval integer Required
timeout integer Required
threads integer Required
logging boolean Required
layer7 boolean Required
interfaces boolean Required
memory boolean Required
load boolean Required
disk boolean Required
curl
curl -X PUT "https://appliance.example.com/api/v1/system-stats/settings" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "enabled": true,
  "interval": 0,
  "timeout": 0,
  "threads": 0,
  "logging": true,
  "layer7": true,
  "interfaces": true,
  "memory": true,
  "load": true,
  "disk": true
}'
PHP
<?php

$url = 'https://appliance.example.com/api/v1/system-stats/settings';
$headers = [
    'Authorization: Bearer ' . $token,
    'Content-Type: application/json',
];

$payload = [
    'enabled' => true,
    'interval' => 0,
    'timeout' => 0,
    'threads' => 0,
    'logging' => true,
    'layer7' => true,
    'interfaces' => true,
    'memory' => true,
    'load' => true,
    'disk' => true,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POSTFIELDS => json_encode($payload),
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}
payload = {
    "enabled": true,
    "interval": 0,
    "timeout": 0,
    "threads": 0,
    "logging": true,
    "layer7": true,
    "interfaces": true,
    "memory": true,
    "load": true,
    "disk": true
}

response = requests.put("https://appliance.example.com/api/v1/system-stats/settings", headers=headers, json=payload)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/system-stats/settings', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${token}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "enabled": true,
  "interval": 0,
  "timeout": 0,
  "threads": 0,
  "logging": true,
  "layer7": true,
  "interfaces": true,
  "memory": true,
  "load": true,
  "disk": true
}),
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "Successfully set System Stats Settings"
}